> ## Documentation Index
> Fetch the complete documentation index at: https://docs.catalog.igvf.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Transcripts Proteins

> Retrieve proteins from transcripts.

Set verbose = true to retrieve full info on the proteins.

At least one of these fields is required: transcript_id, region or transcript_type.

Example: transcript_id = ENST00000264010,

region = chr16:67562500-67640000,

transcript_type = protein_coding,

organism = Homo sapiens,

transcript_id = ENST00000401394 (Ensembl ID).

The limit parameter controls the page size and can not exceed 100.

Pagination is 0-based.



## OpenAPI

````yaml /openapi/catalog-dev.openapi.json get /transcripts/proteins
openapi: 3.0.3
info:
  title: IGVF Catalog - Development
  description: >-
    Development IGVF Catalog OpenAPI compliant REST API built using tRPC with
    Express.


    Our database uses 0-based, half-open coordinates for genomic coordinates in
    the GRCh38 (human) and GRCm39 (mouse) reference genomes.


    Data is licensed under the Creative Commons license and the software is
    licensed under the MIT license.
  version: 1.2.0 - DEV
servers:
  - url: https://catalog-api-dev.demo.igvf.org/api
security: []
externalDocs:
  url: https://api-dev.catalog.igvf.org/openapi
paths:
  /transcripts/proteins:
    get:
      summary: Transcripts Proteins
      description: >-
        Retrieve proteins from transcripts.


        Set verbose = true to retrieve full info on the proteins.


        At least one of these fields is required: transcript_id, region or
        transcript_type.


        Example: transcript_id = ENST00000264010,


        region = chr16:67562500-67640000,


        transcript_type = protein_coding,


        organism = Homo sapiens,


        transcript_id = ENST00000401394 (Ensembl ID).


        The limit parameter controls the page size and can not exceed 100.


        Pagination is 0-based.
      operationId: proteinsFromTranscripts
      parameters:
        - name: transcript_id
          in: query
          required: false
          schema:
            type: string
        - name: region
          in: query
          required: false
          schema:
            type: string
        - name: transcript_type
          in: query
          required: false
          schema:
            type: string
            enum:
              - IG_C_gene
              - IG_C_pseudogene
              - IG_D_gene
              - IG_J_gene
              - IG_J_pseudogene
              - IG_V_gene
              - IG_V_pseudogene
              - IG_pseudogene
              - Mt_rRNA
              - Mt_tRNA
              - TEC
              - TR_C_gene
              - TR_D_gene
              - TR_J_gene
              - TR_J_pseudogene
              - TR_V_gene
              - TR_V_pseudogene
              - artifact
              - lncRNA
              - miRNA
              - misc_RNA
              - non_stop_decay
              - nonsense_mediated_decay
              - processed_pseudogene
              - processed_transcript
              - protein_coding
              - protein_coding_CDS_not_defined
              - protein_coding_LoF
              - pseudogene
              - rRNA
              - rRNA_pseudogene
              - retained_intron
              - ribozyme
              - sRNA
              - scRNA
              - scaRNA
              - snRNA
              - snoRNA
              - transcribed_processed_pseudogene
              - transcribed_unitary_pseudogene
              - transcribed_unprocessed_pseudogene
              - translated_processed_pseudogene
              - translated_unprocessed_pseudogene
              - unitary_pseudogene
              - unprocessed_pseudogene
              - vault_RNA
        - name: organism
          in: query
          required: false
          schema:
            type: string
            enum:
              - Mus musculus
              - Homo sapiens
            default: Homo sapiens
        - name: verbose
          in: query
          required: false
          schema:
            type: string
            enum:
              - 'true'
              - 'false'
            default: 'false'
        - name: page
          in: query
          required: false
          schema:
            type: number
            default: 0
        - name: limit
          in: query
          required: false
          schema:
            type: number
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    source:
                      type: string
                    source_url:
                      type: string
                    protein:
                      anyOf:
                        - type: string
                        - type: array
                          items:
                            type: object
                            properties:
                              _id:
                                type: string
                              name:
                                type: string
                                nullable: true
                              uniprot_names:
                                type: array
                                items:
                                  type: string
                                nullable: true
                              uniprot_full_names:
                                type: array
                                items:
                                  type: string
                                nullable: true
                              uniprot_ids:
                                type: array
                                items:
                                  type: string
                                nullable: true
                              dbxrefs:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    name:
                                      type: string
                                    id:
                                      type: string
                                  required:
                                    - name
                                    - id
                                  additionalProperties: false
                                nullable: true
                              MANE_Select:
                                type: boolean
                                nullable: true
                              organism:
                                type: string
                              source:
                                type: string
                              source_url:
                                type: string
                            required:
                              - _id
                              - organism
                              - source
                              - source_url
                            additionalProperties: false
                    transcript:
                      anyOf:
                        - type: string
                        - type: object
                          properties:
                            _id:
                              type: string
                            transcript_type:
                              type: string
                            chr:
                              type: string
                            start:
                              type: number
                            end:
                              type: number
                            strand:
                              type: string
                            name:
                              type: string
                            gene_name:
                              type: string
                            MANE_Select:
                              type: boolean
                              nullable: true
                            source:
                              type: string
                            version:
                              type: string
                            source_url:
                              type: string
                          required:
                            - _id
                            - transcript_type
                            - chr
                            - start
                            - end
                            - strand
                            - name
                            - gene_name
                            - source
                            - version
                            - source_url
                          additionalProperties: false
                    name:
                      type: string
                  required:
                    - name
                  additionalProperties: false
        default:
          $ref: '#/components/responses/error'
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false

````